Filter
Your Cart

USB-C cables

USB-C cables

USB-C cables in this category include USB-C to USB-C, USB-C to USB-A and USB-C to USB-B leads for connecting and charging phones, tablets, laptops, monitors and external drives. Our range has over 2,500 models, including cables from Delock, StarTech.com, Hama and Renkforce.

How to choose a USB-C cable

Data transfer speed. Many USB-C cables run at USB 2.0 speed (480 Mbit/s), which is enough for charging, a keyboard or syncing a phone, but slow for an external SSD. Our range also includes USB 3.2 Gen 1 (5 Gbit/s), Gen 2 (10 Gbit/s), Gen 2x2 (20 Gbit/s) and USB4 cables. A faster cable is worth looking for when you copy large files.

Connectors and shape. Check which ports your devices have. USB-C to USB-C suits newer devices, USB-C to USB-A connects to an older computer or charger, and USB-C to USB-B is usually needed for printers and some other equipment. Some cables have an angled plug, which helps in tight spaces, and a few models have a Micro-USB B or Lightning end.

Charging power. Charging speed depends on the cable as well as the charger. For a laptop that needs 60 W or more, choose a cable with a clearly stated power rating. Higher-power cables usually contain an e-marker chip, while a cable made for data or low-power charging may charge a laptop very slowly.

Video output. Not every USB-C cable can send video to a monitor. You need a cable that supports DisplayPort Alt Mode, or a USB4 or Thunderbolt cable, and the device itself must also support video output over USB-C.

Length. The longer the cable, the more speed and maximum charging power can drop, especially with 10 Gbit/s and faster cables. About a metre is usually enough at a desk, so choose a longer cable only when you really need the reach.

Brands we carry

  • Delock: a German manufacturer known for a large selection of cables and adapters, including less common connector combinations.
  • StarTech.com: a Canadian manufacturer focused mainly on professional IT connectivity for offices and server rooms.
  • Hama: a German maker of consumer electronics accessories, whose cables are often bought for phones and tablets.
  • Renkforce: the own-brand line of the Conrad Electronic retailer, with many computer and office cables.

Also in our range: shiverpeaks, S-CONN Maximum Connectivity, InLine, Wentronic, Micro Connect, LogiLink, Vivolink and equip.

Frequently asked questions about USB-C cables

Are all USB-C cables the same?

No, USB-C only describes the shape of the connector. Data speed can range from 480 Mbit/s to 20 Gbit/s or more, and cables also differ in the charging power they support and whether they can carry video. Check these details in the product description before buying.

Which USB-C cable should I choose to charge a laptop?

Choose a cable rated for at least the power of your laptop charger, most often 60 W or 100 W. Look at the label on the charger and pick a cable with the same rating or higher. A cable that is too weak can limit charging.

Can I connect a monitor with a USB-C cable?

Yes, but only with a cable that supports video (DisplayPort Alt Mode) or with a USB4 or Thunderbolt cable. The laptop or phone must also have a USB-C port that supports video output. A basic USB 2.0 cable will not carry a picture.

How can I tell how fast a USB-C cable is?

Look at the stated USB version or maximum transfer rate. USB 2.0 is 480 Mbit/s, USB 3.2 Gen 1 is 5 Gbit/s, Gen 2 is 10 Gbit/s, Gen 2x2 is 20 Gbit/s, and USB4 Gen 3x2 reaches up to 40 Gbit/s. If no speed is given, it is safest to treat the cable as USB 2.0 level.

USB 10 Gbps FPC Flachbandkabel USB Type-C zu USB Type-C 22 cm PD 3 A E-Marker
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 85926. Kabellänge: 0,22 m. Anschluss 1: USB C, Anschluss 2: USB C, USB-Version: USB 3.2 Gen 2 (3.1 Gen 2), Max. Datenübertragungsrate: 10 Gbit/..
23.90€
Ex Tax:19.75€
Add to Cart
USB Type-C Ladekabel 15 V fr Elektrorasierer kompatibel mit Philips OneBlade Pro 360 HQ7 HQ8 HQ9 Serie - Rasierer Ladegert Ersatzkabel 1 m
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91752. Kabellänge: 1 m, Anschluss 1: USB C, Anschluss 2: 2-polig. Eingangsspannung: 15 V, Eingangsstrom: 0.36 A..
14.90€
Ex Tax:12.31€
Add to Cart
USB Type-C Ladekabel 2,3 V fr Elektrorasierer kompatibel mit Braun MGK3335, MGK3010, MGK3020 Serie - Rasierer Ladegert Ersatzkabel 1,5 m
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91794. Kabellänge: 1,5 m, Anschluss 1: USB C, Anschluss 2: Gleichstrom. Eingangsspannung: 2.3 V, Eingangsstrom: 0.075 A..
14.90€
Ex Tax:12.31€
Add to Cart
USB Type-C Ladekabel 4,3 V fr Elektrorasierer kompatibel mit Philips OneBlade 360 Face + Body - Rasierer Ladegert Ersatzkabel 1 m
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91792. Kabellänge: 1 m, Anschluss 1: USB C, Anschluss 2: 2-polig. Eingangsspannung: 4.3 V, Eingangsstrom: 0.07 A..
14.90€
Ex Tax:12.31€
Add to Cart
USB Type-C Ladekabel 4,8 V fr Elektrorasierer kompatibel mit Panasonic ES-LV97, ES-LA63, RE7-51, RE7-59 Serie - Rasierer Ladegert Ersatzkabe
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91795. Kabellänge: 1,5 m, Anschluss 1: USB C, Anschluss 2: 2-polig. Eingangsspannung: 4.8 V, Eingangsstrom: 1.25 A..
14.90€
Ex Tax:12.31€
Add to Cart
USB Type-C Ladekabel 5 V fr Elektrorasierer kompatibel mit Hatteker RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-7568, RSCX-9598 Serie -
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91798. Kabellänge: 1,2 m, Anschluss 1: USB C, Anschluss 2: 2-polig. Eingangsspannung: 5 V, Eingangsstrom: 1 A..
14.90€
Ex Tax:12.31€
Add to Cart
USB Type-C Stecker zu DC 5,5 x 2,1 mm Kabel kompatibel mit Starlink Mini, 2 m grau
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91820. Kabellänge: 2 m, Anschluss 1: USB C, Anschluss 2: DC 5.5mm. Eingangsspannung: 20 V, Eingangsstrom: 5 A..
14.90€
Ex Tax:12.31€
Add to Cart
USB Type-C Stecker zu DC 5,5 x 2,1 mm Kabel kompatibel mit Starlink Mini, 3 m grau
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91821. Kabellänge: 3 m, Anschluss 1: USB C, Anschluss 2: DC 5.5mm. Eingangsspannung: 20 V, Eingangsstrom: 5 A..
15.90€
Ex Tax:13.14€
Add to Cart
USB Type-C Stecker zu DC 5,5 x 2,1 mm Kabel kompatibel mit Starlink Mini, 5 m grau
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91822. Kabellänge: 5 m, Anschluss 1: USB C, Anschluss 2: DC 5.5mm. Eingangsspannung: 20 V, Eingangsstrom: 5 A..
18.90€
Ex Tax:15.62€
Add to Cart
Delock D-Tap Spiralkabel zu USB Type-C Stecker 1 m
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
27.90€
Ex Tax:23.06€
Add to Cart
Delock Magnetischer Standfu USB Typ-A Buchse zu USB Type-C Stecker 10 Gbps Docking Kabel 1,2 m
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
14.90€
Ex Tax:12.31€
Add to Cart
Dual Einbaubuchse USB 5 Gbps Typ-A Buchse + USB 10 Gbps USB Type-C Buchse PD 100 W silber
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91169. Anschluss 1: 2 x USB 5 Gbps Type-A, Anschluss 2: 2 x USB 10 Gbps USB Type-C. Produktfarbe: Silber..
22.91€
Ex Tax:18.93€
Add to Cart
Magnetisches Spiralkabel USB 2.0 Typ-A Stecker zu Pogo 4 Pin Stecker + USB Type-C Stecker zu Pogo 4 Pin Buchse Set schwarz 1,5 m
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
29.90€
Ex Tax:24.71€
Add to Cart
Panel Mount USB 2.0 Type-C Buchse zu Buchse schwarz
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
14.90€
Ex Tax:12.31€
Add to Cart
USB Type-C Ladekabel 5 V fr Elektrorasierer kompatibel mit MANSCAPED 2.0 3.0 Serie - Rasierer Ladegert Ersatzkabel 1,2 m
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91797. Kabellänge: 1,2 m, Anschluss 1: USB C, Anschluss 2: 2-polig. Eingangsspannung: 5 V, Eingangsstrom: 1 A..
14.90€
Ex Tax:12.31€
Add to Cart
USB Type-C Ladekabel 5 V fr Elektrorasierer kompatibel mit Philips QP2724, QP2834, QP1924, MG9520 Serie - Rasierer Ladegert Ersatzkabel 1 m
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91793. Kabellänge: 1 m, Anschluss 1: USB C, Anschluss 2: 2-polig. Eingangsspannung: 5 V, Eingangsstrom: 1 A..
14.90€
Ex Tax:12.31€
Add to Cart
USB Type-C Ladekabel 5 V fr Elektrorasierer kompatibel mit Remington HC4250, MB4200, MB6850, XR1330 Serie - Rasierer Ladegert Ersatzkabel 1,
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91796. Kabellänge: 1,2 m, Anschluss 1: USB C, Anschluss 2: 2-polig. Eingangsspannung: 5 V, Eingangsstrom: 1 A..
14.90€
Ex Tax:12.31€
Add to Cart
Showing 97 to 113 of 113 (5 Pages)
Product Filter